Check API Request Status API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Check API Request Status API will fetch the response dump for any API call based on the value of the clientTxnId parameter.

Environment

  
Sandboxhttps://payusandbox-kong.pc.enstage-sas.com/uat/sbx/api/onboarding/v1/checkStatus
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/uat/sbx/api/onboarding/v1/checkStatus \
     --header 'X-Consumer-Custom-ID: F42BC4E7B801C834B630DE498473533F' \
     --header 'bankId: 6060' \
     --header 'clientId: 1060' \
     --header 'content-type: application/json' \
     --header 'entityId: 100' \
     --header 'secureCode: pu8gSMLNE7pNv36IlUmstU' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "token": "HDrFFKWTsRmWMJ4tUArEi8wSijgmgxNT161QxEc/r2z7useq/7M2vHpV3Sp9aYhEUAeXNacwa5vNZ1mdi2nbV81kexv2q/attYu6zlGNhatmOLfwTddqIVwgASaJ6Y6+mR1CzwEJK3RwxvoUg+GUpUbfsQuIU8eT6No68eo6F7NDSnl0pfAMk5kyg3YqXb45oC+ppKua6JYX7fS5A6eeSiYcSGY7ZAmzxZlUYS951IVTx3QXR6wLFW081ZV3rVpFch2wAHs1/hI1jbCD9EdghIzcmkiyQGJUg4O3svYbSuiR9fTEIE4p1jnOo2od+GA+"
}
'
Sample response (Decrypted)
{
 "urn": 70000000008,
 "responseCode": "00",
 "messageCode": 2051,
 "clientTxnId": "ChangecardStatus000015",
 "bankId": 7000,
 "response_dump": [

"{\"urn\":70000000008,\"customerId\":\"128918\",\"responseCode\":\"00\",\"messageCode\":30
11,\"clientTxnId\":\"ChangecardStatus000015\",\"clientId\":\"1040\",\"responseDateTime\":\"2
0230622145005\",\"responseMessage\":\"SUCCESS\",\"bankId\":6010,\"accosaRefNo\":\"41072
\"}"
 ]
}
Error codes
Error CodeDescription
WAL292MALFORMED_REQUEST
WAL293PRODUCT NOT ALLOWED
WAL294SYSTEM_ERROR
WAL295INVALID_CLIENT_CHANNEL
WAL296OPERATION NOT ALLOWED
WAL297IP_NOT_ALLOWED
WAL298INVALID SECURE CODE
WAL299CHECKSUM FAILURE
WAL264INVALID CLIENT TXN ID
WAL300REQUEST_DATETIME_IS_MANDATORY
WAL301INVALID BANK ID
WAL302BANK ID NOT PRESENT
WAL303CLIENT ID NOT PRESENT
WAL304XCONSUMERKEY NOT PRESENT
WAL260INVALID MESSAGE
WAL305SECURE CODE NOT PRESENT
WAL46INVALID DATE FORMAT
WAL306NO API RESPONSE DUMP AVAILABLE FOR THE CLIENT TXN ID

Request parameters

Body Params
string
required

This parameter must contain the token generated using the Encrypt API.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

integer
required

This parameter must contain the Unique ID for the client shared by Wibmo.

integer
required

This parameter must contain the bank ID. Include 6060 for PayU.

integer
required

This parameter must contain the child corporate/branch entity ID under the client. This will be generated from the CMS. The default value is 100.

string
required

This parameter must contain the secure code that uniquely identifies the client on payload level for performing operations. Secure code will be shared by Wibmo separately.

string
required

This parameter must contain the unique consumer ID provided by the vendor for which bill is being paid or recharged.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!